#include	<stdio.h>

/*
	hist - plot histogram of 256 level binary file

	carl crawford
	purdue university
	w. lafayette, in 47907

	march 25, 1980
*/
int	m = 256;	/*default # of grey levels*/
long	level[256];

main(argc,argv)
	int	argc;
	char	**argv;
{
	int	n;
	char	buf[512];
	register	int	i,k;

	if(argc > 1 ) {
		m = atoi(argv[1]);
		if (m>256)
			m=256;
	}

	while(n=read(0,buf,512))
		for(i=0;i<n;level[0377 & buf[i++]]++);
	write(1,level,m*sizeof(float));
}
